N = 5;
M = 3:8;

m = .21;
w = .019;
h = .020;
l = .240;
J = 1/12*m*(w^2+l^2);

DT = .001;
for i = M
    I = .05*i;
    str = num2str(1000*I);
    load([cd '\Dataset 2\data_' str 'mA'],'data');
    eval(['dataS' num2str(i) '=processData(data,' num2str(N) ');']);
end

color = {'b','g','r','k','c','b','g','r','k','c'};
km = 0.42;
u_d = 0.006;
u_s = 0.0488;
p = [km u_d u_s]';

p1 = [.437 .00610 .0466]';
p2 = [.460 .00550 .0484]';

legen = cell(1,numel(M));
figure(6)
for i = M
    eval(['plot(dataS' num2str(i) '(2,:),'...
        'J*dataS' num2str(i) '(3,:),''' color{i} '.'',''MarkerSize'',5)'])
    hold on;
    legen{i+1-M(1)} = [num2str(1000*.05*i) ' mA'];
end
xlabel('\omega (rad/s)'); ylabel('\tau (Nm)')
legend(legen);

for i = M
    plotx = eval(['floor(min(dataS' num2str(i)...
        '(2,:))):.01:ceil(max(dataS' num2str(i) '(2,:)))']);
    ploty1 = [-.05*i*ones(size(plotx,2),1) -plotx' -sign(plotx')]*p1;
    ploty2 = [.05*i*ones(size(plotx,2),1) -plotx' -sign(plotx')]*p2;
    
    eval(['plot(plotx,ploty1,''' color{i} ''',''LineWidth'',2)'])
    eval(['plot(plotx,ploty2,''' color{i} ''',''LineWidth'',2)'])
end
hold off
