function data = dataCollection(I)

% clc;
if ~isempty(instrfind)
    fclose(instrfind);
    delete(instrfind);
end

obj = serial('COM9','baudrate',38400);
obj.FlowControl = 'Hardware';
obj.OutputBufferSize = 20000;
DT = .001;
T = 3;
NUM_PTS = T/DT;
t = DT:DT:T;
data = zeros(1,NUM_PTS);
Imax = 1.29;
maxPWM = 7999;

fopen(obj);
f = 1;

PWM = zeros(1,NUM_PTS);
for i = 1:NUM_PTS
    if mod(floor(2*t(i)*f),2) == 0
        PWM(i) = (1+I/Imax)*maxPWM/2;
    else
        PWM(i) = (1-I/Imax)*maxPWM/2;
    end
end

fwrite(obj,[5 PWM],'int32');


% input('Hit Enter to Run');
fwrite(obj,4,'int32');
pause(T+.5);

% input('Hit Enter to Collect Data');
fclose(obj)
fopen(obj)
fwrite(obj,2,'int32');

for i = 1:NUM_PTS
    reading = fscanf(obj,'%s\n');
    if isempty(str2num(reading)); break; end
    data(i) = str2double(reading);
end
fclose(obj)

data = data*2*pi/100000;

% figure(1)
% plot(t,data)
% xlabel('Time (s)'); ylabel('\theta (rad)')
% 
% figure(2)
% plot(t(1:end-1),diff(data/DT))
% xlabel('Time (s)'); ylabel('\omega (rad/s)')
% 
% figure(3)
% plot(t(1:end-2),diff(data/DT^2,2))
% xlabel('Time (s)'); ylabel('\alpha (rad/s^2)')
% figure(1); plot(t,data(:,1),t,data(:,2),'r');
% xlabel('Time (s)'); ylabel('\theta');
% title(['K_P = ' num2str(K(1)) ', K_I = ' num2str(K(2))]);
% figure(2); plot(time,data(:,1) - data(:,2))
%}
