function P = fitParameters(I, N, set)
if nargin == 1; N = 5; set = 2; end
if nargin == 2; set = 2; end

m = .21;
w = .019;
h = .020;
l = .240;
J = 1/12*m*(w^2+l^2);
DT = .001;

str = num2str(1000*I);
load([cd '\Dataset ' num2str(set) '\data_' str 'mA'],'data');
y = processData(data,N);
y(3,:) = J*y(3,:);

neg = min(y(2,:));
pos = max(y(2,:));
ind = find(((.75*neg<y(2,:))&(y(2,:)<.25*neg)) | ((.25*pos<y(2,:))&(y(2,:)<.75*pos)));
cutoff = find(ind<size(y,2)/2,1,'last');
ind1 = ind(1:cutoff);
ind2 = ind(cutoff+1:end);

y1 = y(:,ind1);
y2 = y(:,ind2);

p1 = [-I*ones(numel(ind1),1) -y1(2,:)' -sign(y1(2,:)')]\(y1(3,:)');
p2 = [I*ones(numel(ind2),1) -y2(2,:)' -sign(y2(2,:)')]\(y2(3,:)');
p = (p1+p2)/2;

plotx = floor(min(y(2,:))):.01:ceil(max(y(2,:)));
ploty1 = [-I*ones(size(plotx,2),1) -plotx' -sign(plotx')]*p1;
ploty2 = [I*ones(size(plotx,2),1) -plotx' -sign(plotx')]*p2;

plot(y(2,:),y(3,:),'.',plotx,ploty1,plotx,ploty2)
xlabel('\omega (rad/s)'); ylabel('\tau (Nm)')

% disp(['k_m = ' num2str(p1(1)) ', u_d = ' num2str(p1(2)) ', u_s = ' num2str(p1(3))])
disp([num2str(p1(1),4) '	' num2str(p1(2),4) '	' num2str(p1(3),4)])
% disp(['k_m = ' num2str(p2(1)) ', u_d = ' num2str(p2(2)) ', u_s = ' num2str(p2(3))])
disp([num2str(p2(1),4) '	' num2str(p2(2),4) '	' num2str(p2(3),4)])
disp('')

P = [p1 p2];
% 210g
% w = 19mm, h = 20mm, l = 240mm